#! /bin/bash

PASSWORD='iforgensix'

# Delete empty directories of previous media mounted
echo $PASSWORD | sudo -S find /media/cre/ -maxdepth 1 -type d -empty -delete

# START RESTORER SCRIPT
echo $PASSWORD | sudo -S /home/cre/Documents/launch_restorer_as_root.sh

# Get current resolution width
RESOLUTION_W=`xrandr | awk '/current/{print $8}'`

# Get current resolution height
RESOLUTION_H=`xrandr | awk '/current/{print $10}'`
# and remove comma
RESOLUTION_H=${RESOLUTION_H%,*}

# Get keyboard size width = resolution width
KEYBOARD_SIZE_W=$RESOLUTION_W
# Get keyboard size height = resolution height / 4
KEYBOARD_SIZE_H=`echo "$RESOLUTION_H / 4" | bc`

# Get keyboard position from the upper left hand corner
KEYBOARD_POSITION_W=0
KEYBOARD_POSITION_Y=`echo "$RESOLUTION_H - $KEYBOARD_SIZE_H" | bc`

# On start, in english, the virtual keyboard doesn't have the letter 'm' ???
# Switching to french and back to english solve the problem because
# the next command line is called on back to english
# Then, we need to send this command on start before app starting.
# If user choose french, the app will call french keyboard on start.
setxkbmap us

# START SERVER I4Gen
echo $PASSWORD | sudo -S pm2 start $I4GEN/server.ws/dist/index.js --name i4Gen_server --log $I4GEN/logs/server.combined.log -o /dev/null -e /dev/null
# START UPDATER I4Gen
echo $PASSWORD | sudo -S pm2 start $I4GEN/updater/bin/updater --name i4Gen_updater --log $I4GEN/logs/updater.combined.log -o /dev/null -e /dev/null
# START CLIENT I4Gen
echo $PASSWORD | sudo -S pm2 start $I4GEN/client.ws/bin/i4Gen --name i4Gen_client --log $I4GEN/logs/client.combined.log -o /dev/null -e /dev/null
# START ONBOARD KEYBOARD
echo $PASSWORD | sudo -S onboard -s $KEYBOARD_SIZE_W'x'$KEYBOARD_SIZE_H -x $KEYBOARD_POSITION_W -y $KEYBOARD_POSITION_Y &
